cURL
curl --request DELETE \ --url https://sandbox.tight.com/v6/banks/statements/{id} \ --header 'Authorization: Bearer <token>'
{ "result": "SUCCESS", "data": { "id": "bst_28868401", "status": "ACTIVE", "url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf", "bankAccount": { "id": "bka_7542850", "name": "Business Checking **1687", "displayName": "Business Checking **1687" }, "period": { "beginDate": "2024-01-01", "endDate": "2024-01-31" }, "customData": { "internal_key": "some_internal_key", "some_other_field": 23434 } } }
Delete a bank statement for the given id
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Bearer <token>
The id of the bank statement
Success
The result of the action performed.
SUCCESS
FAILURE
The data generated by the action performed.
Show child attributes